Bug 200845 - java.net.UnknownHostException: as204739-desktop: as204739-desktop
java.net.UnknownHostException: as204739-desktop: as204739-desktop
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0
All All
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT,701patch2-verified,...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-10 15:49 UTC by Alexander Simon
Modified: 2011-09-27 12:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (287 bytes, text/plain)
2011-08-10 15:49 UTC, Alexander Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-08-10 15:49:50 UTC
Build: NetBeans IDE Dev (Build 20110809-1569f1a6da79)
VM: Java HotSpot(TM) Client VM, 20.0-b11, Java(TM) SE Runtime Environment, 1.6.0_25-b06
OS: SunOS

Stacktrace: 
java.net.UnknownHostException: as204739-desktop: as204739-desktop
   at java.net.InetAddress.getLocalHost(InetAddress.java:1354)
   at org.netbeans.modules.cnd.remote.ui.wizard.HostsListTableModel$HostsLoader.run(HostsListTableModel.java:192)
   at java.lang.Thread.run(Thread.java:662)
Comment 1 Alexander Simon 2011-08-10 15:49:53 UTC
Created attachment 109909 [details]
stacktrace
Comment 2 Alexander Simon 2011-08-31 14:40:06 UTC
Exception in case host name = "unknown"
Work around: setup host name.
Comment 3 Alexander Simon 2011-09-16 09:02:34 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/60c8956ef757
Comment 4 Vladimir Voskresensky 2011-09-16 09:32:29 UTC
fix is safe and correct
Comment 5 Alexander Simon 2011-09-16 10:19:01 UTC
transplanted in releases_elif branch release701_fixes
60c8956ef757 transplanted to 261ba687adca
Comment 6 Quality Engineering 2011-09-17 14:12:04 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/60c8956ef757
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #200845 - java.net.UnknownHostException: as204739-desktop: as204739-desktop
- useless dialog with warning. convert to info.
Comment 7 Alexander Pepin 2011-09-21 14:11:57 UTC
can not reproduce in oss-platform-build #66 (20110921)
Comment 8 Quality Engineering 2011-09-26 13:27:51 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/261ba687adca
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #200845 - java.net.UnknownHostException: as204739-desktop: as204739-desktop
- useless dialog with warning. convert to info.
(transplanted from 60c8956ef757fe551adaac5dc8c1459de4e53216)
Comment 9 Alexander Pepin 2011-09-27 12:45:31 UTC
can not reproduce in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo